.. _support-request:

Support Requests
================

If you have a problem, please send us a support request to either the iLCDirac Jira ticketing
system or via email. Include as much information as possible following the
guidelines below.

* Check the `faq`
* `iLCDirac Jira <https://its.cern.ch/jira/browse/ILCDIRAC>`_ -
  (`see here for access rights
  <https://twiki.cern.ch/twiki/bin/view/CLIC/IlcDiracJira>`_)

  * Use the Jira Issue collector button on the right of this and other
    documentation pages

* `Email the iLCDirac support <mailto:ilcdirac-support@cern.ch>`_

Required Information
--------------------

When sending an error report or support request, please provide as much information as possible:

* What are you trying to accomplish? (E.g.: Uploading a file)

* How are you trying to accomplish it? (E.g.: Full command and output including
  debug flags (-ddd), if you tried different things, list them all, or we will
  just propose alternate solutions you might have already tried)

* Which client installation (your own, at cern afs,...), what is the version (i.e., run the command `ilcdirac-version`)

* What is your operating system?

* What is your proxy (:ref:`dirac-proxy-init` -ddd [-g ], :ref:`dirac-proxy-info` -ddd)?

* If certain jobs are failing:

  * Give a list of job IDs (In the `JobMonitor
    <https://voilcdiracwebapp.cern.ch/DIRAC/?view=tabs&theme=Grey&url_state=1|*DIRAC.JobMonitor.classes.JobMonitor:,>`_
    Select the jobs and click on the "square button with three horizontal
    lines" just above the check boxes...)

  * Provide the python script you used for submission

  * ...

*  ...
